MediaWiki:Theme-meteor-dark.css

From Final Fantasy XIV Online Wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
@import url(https://ffxiv.consolegameswiki.com/mediawiki/index.php?title=MediaWiki:Theme-meteor.css&action=raw&ctype=text/css);

/* TODO */

@media screen {
  :root {
    --background-color-base: #000000;
    --background-color-neutral: #333333;
    --background-color-neutral-subtle: #202020;
    --background-color-interactive: #27292D;
    --background-color-interactive-subtle: #121821;
    --border-color-base: #72777D;
    --border-color-subtle: #54595D;
    --border-color-muted: #505050;
    --color-base: #E0E0E0;
    --color-emphasized: #E0E0E0;
    --color-subtle: #A2A9B1;
    --link-color: #5A93CC;
    --link-visited-color: #9459b6;
    --background-color-error-subtle: #400;
    --border-color-error: #e62444;
    --background-color-warning-subtle: #4b3c15;
    --border-color-warning: #8a6800;

    /* thank you mediawiki very cool */
    --background-color-interactable: var(--background-color-interactive);
    --background-color-interactable-subtle: var(--background-color-interactive-subtle);

    /* TODO: ??? */
    --theme-background-color: #181818;
    --theme-background-color--tertiary: #303030;
    --theme-border-color: #383838;
    --theme-link-color: var(--link-color);
    --theme-link-color-hover: var(--theme-link-color);
    --theme-link-color-visited: var(--link-visited-color);
    --theme-link-color-redlink: #F05048;
    --theme-link-color-focus: var(--theme-link-color);
    --theme-link-color-nav: #518fce;
    --theme-link-color-nav-visited: #518fce;
    --theme-icon-color: var(--theme-link-color);
    --theme-icon-color-redlink: var(--theme-link-color-redlink);
    --theme-icon-color-hover: var(--theme-link-color-hover);
  }

  /* [[Template:Navbox]] */
  :root {
    --navbox-bg: #181818;
    --navbox-data-row-even-bg: #202020;
    --navbox-header-bg: #062540; 
    --navbox-label-bg: #072D4C;
    --navbox-label-border: 2px solid #181818;
    --navbox-inner-border: 2px solid #181818;
    --navbox-sublabel-bg: #072D4C;
    --tooltip-border: #383838;

  }
  
  /* [[Template:Dialogue]] */
  :root {
    --dialogue-line-bg: #000;
    --dialogue-block-bg: #0F0F0F;
    --dialogue-standalone-bg: #2a2a4b;
    --dialogue-option-bg: #303050;
    --dialogue-cutscene-bg: #253540; 
  }
  
  /* Gadget-AdventurerPlateMaker CSS Variables and Classes */
  :root {
    /* Primary Colors */
    --apm-primary-red: #EF5350;
    --apm-primary-green: #66BB6A;
    --apm-primary-orange: #FFA726;
    
    /* Neutral Colors */
    --apm-white: #212121;
    --apm-black: var(--color-base);
    --apm-gray-light: var(--theme-background-color);
    --apm-gray-medium: #383838;
    --apm-gray-item: var(--background-color-neutral-subtle);
  }
}

/* Different body background */
body {
  background: #27242D;
}